using Godot;
using System.Collections;
using System.Collections.Generic;
using Godot.Collections;

namespace Rokojori
{
  [Tool]
  [GlobalClass, Icon("res://addons/rokojori_action_library/Icons/CCGroundReset.svg")]
  public partial class GroundReset:CharacterControllerAction
  {
    protected override void _OnTrigger()
    {
      if ( ! body.IsOnFloor() )
      {
        return;
      }
      
      SetVelocity( Vector3.Zero );
    }
  }
}